> For the complete documentation index, see [llms.txt](https://api.esignon.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.esignon.net/workflow/view/readallworkflow.md).

# 진행 문서 목록조회

* 해당 회사의 진행문서 목록을 전부 조회합니다.&#x20;
* GET 방식의 API로 HEADERS에 발급받은 토큰 값만 입력하여 조회합니다.

## 진행 문서 조회

<mark style="color:blue;">`GET`</mark> `https://docs.esignon.net/worklists/new?page={value}&rows={value}`

진행 문서의 상태, 종류, 단계등을 확인할 수 있습니다.

#### Path Parameters

| Name | Type   | Description                  |
| ---- | ------ | ---------------------------- |
| rows | string | 1페이지에 몇개나 조회할 것인지 / 기본값 50   |
| page | string | 몇페이지에 있는 목록을 조회할 것인지 / 기본값 1 |

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Content-Type  | string | application/json |
| Authorization | string | esignon ${발급받토큰} |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"header":{
		"response_code": "/worklists/new",
		"result_code": "00",
		"result_msg": "",
		"session_id": ""
	},
	"body":{
		"comp_id": "{회사 ID}",
		"isManager": true,
		"memb_email": "{로그인한 이메일}",
		"page": "{출력할 페이지의 번호}",
		"rows": "{페이지 당 보여줄 목록의 갯수}",
		"total": "{전체 문서 수}",
		"workflow_list":[{
			"wfuid": "{문서 ID}",
			"wfname": "{문서 제목}",
			"wftype": "{문서 타입}",
			"status": "{문서 상태}",
			"step": "{문서 단계}",
			"nickname": "{문서 작성자}",
			"currentactionid": "{계약 중인 단계 번호}",
			"email": "{문서 작성자 이메일}",
			"startdate": "{문서 시작일}",
			"totalprocesscount": "{문서의 총 단계 갯수}",//3단계 문서일 경우 3
			"currentprocesscount": "{완료 된 계약 단계 번호}",
			"confirmdate": "{문서 완료일}",
			"preactionid": "{}",
			"preactionemail":"{참조하는 이메일}"
			}]
	}
}

```

{% endtab %}
{% endtabs %}

### Parameter Info

| **Name**              | **Value** | **Description**  |
| --------------------- | --------- | ---------------- |
| Workflow\_list.status | Playing   | 진행중              |
|                       | Canceled  | 취소               |
|                       | Complete  | 완료               |
|                       | Disposal  | 폐기               |
|                       | Truncate  | (취소 상태 후 삭제한 경우) |
| Workflow\_list.wftype | NORMAL    | 일반 발송 문서         |
|                       | BULKWEB   | 대량 발송 문서         |
| Workflow\_list.step   | Myturn    | 내 차례             |
|                       | Progress  | 계약자가 진행중         |
|                       | Complete  | 완료               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.esignon.net/workflow/view/readallworkflow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
